[![status-badge](https://ci.batsense.net/api/badges/110/status.svg)](https://ci.batsense.net/repos/110)

---

# [Playwright](https://playwright.dev/) based integration testing for [Forgejo](https://forgejo.org)

## Development

## Dependencies

-   Node v20.10.0: We use [`nvm`](https://github.com/nvm-sh/nvm) for Node version management. If installed, run `nvm use` in repo directory
-   Docker compose: for spinning up test environment

## Usage

Please install development dependencies. Also consider installing
browser drivers (see
[here](https://playwright.dev/docs/intro#installing-playwright)). On my
development, I test only on Firefox and Chromium, so I run:

```bash
npx playwright test --project=firefox \
	&& npx playwright test --project=chromium
```
